Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Class LocalSearchSolverScope

    java.lang.Object
      org.drools.planner.core.solver.AbstractSolverScope
          org.drools.planner.core.localsearch.LocalSearchSolverScope

    public class LocalSearchSolverScope

extends AbstractSolverScope

Field Summary

Fields inherited from class org.drools.planner.core.solver.AbstractSolverScope
`bestScore, bestSolution, bestSolutionStepIndex, calculateCount, GLOBAL_SCORE_CALCULATOR_KEY, logger, ruleBase, scoreDefinition, startingScore, startingSystemTimeMillis, workingMemory, workingRandom, workingScoreCalculator, workingSolution`

Constructor Summary
`LocalSearchSolverScope()`

Method Summary
`LocalSearchStepScope` | `getLastCompletedLocalSearchStepScope()`
`void` | `setLastCompletedLocalSearchStepScope(LocalSearchStepScope lastCompletedLocalSearchStepScope)`

Methods inherited from class org.drools.planner.core.solver.AbstractSolverScope
`assertWorkingScore, buildConstraintOccurrenceSummary, buildConstraintOccurrenceSummary, calculateScoreFromWorkingMemory, calculateTimeMillisSpend, getBestScore, getBestSolution, getBestSolutionStepIndex, getCalculateCount, getRuleBase, getScoreDefinition, getStartingScore, getStartingSystemTimeMillis, getWorkingMemory, getWorkingRandom, getWorkingScoreCalculator, getWorkingSolution, reset, setBestScore, setBestSolution, setBestSolutionStepIndex, setRuleBase, setScoreDefinition, setStartingScore, setStartingSystemTimeMillis, setWorkingRandom, setWorkingScoreCalculator, setWorkingSolution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchSolverScope

    public LocalSearchSolverScope()

Method Detail

### getLastCompletedLocalSearchStepScope

    public LocalSearchStepScope getLastCompletedLocalSearchStepScope()

### setLastCompletedLocalSearchStepScope

    public void setLastCompletedLocalSearchStepScope(LocalSearchStepScope lastCompletedLocalSearchStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.